Subject: Re: Petzold Example
From: [email-masked] (Scott Warner)

19 Nov 1997 03:45:34 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "GBradfor" <[email-masked]>, <[email-masked]>

Posted earlier (I think)

Concerning the discussion on the WinMainCRTStartup-warning:
 
> The Warning is issued because there is no WinMainCRTStartup in the
cygwin32
> library, however crt0.o which is the first thing that is linked in by
specs
> has the proper entry point (mainCRTStartup), which always gets put at
> 0x401000, unless you have modified the specs file.

I get the same warning with gcc, but all the programs (seem to) work. 
 
> g++ -o test.exe test.cpp -luser32 (works fine no warnings)
> g++ -o test.exe test.cpp -luser32 -Wl,--subsystem,windows (works but
gives
> the warning)
 
My solution is:

Replace the -Wl option by

      -Wl,--subsystem,windows,-e,mainCRTStartup

and you don't see the warning anymore.

Offhand, I don't know why you're getting the DLL message.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".